﻿namespace Falcon.SugarApi.JWT
{

    /// <summary>
    /// jwt token 生成器
    /// </summary>
    public interface IJwtTokenBuilder
    {
        /// <summary>
        /// 获取Token负载
        /// </summary>
        /// <param name="token">登录Token</param>
        /// <returns>负载信息</returns>
        LoginUserInfo GetPlayload(string token);
        /// <summary>
        /// 获取Token
        /// </summary>
        /// <param name="playload">负载</param>
        /// <returns>Token对象</returns>
        string GetToken(LoginUserInfo playload);
    }
}