﻿namespace Falcon.SugarApi.JWT
{
    /// <summary>
    /// JWT认证上下文
    /// </summary>
    public class JwtContext
    {
        /// <summary>
        /// 验证头的键值
        /// </summary>
        public string AuthHeaderKey { get; set; } = "auth";

        /// <summary>
        /// 用户Token加密的秘钥
        /// </summary>
        public string SecKey { get; set; } = "fefafwefwf464664f64e64f63";

        /// <summary>
        /// jwtToken生成器
        /// </summary>
        public IJwtTokenBuilder? JwtTokenBuilder { get; set; }

        /// <summary>
        /// 用户登录管理
        /// </summary>
        public IUserLogin? UserLogin { get; set; }

    }
}
